html {
    position: relative;
    min-height: 100%;
}
body {
    margin-bottom: 45px;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding-top: 15px;
    height: 45px;
    background-color: #f5f5f5;
}
.popover {
  max-width: 600px;
  width: auto;
}
@-ms-viewport{ width: auto !important; }


/*Helpers*/
.ib {display: inline-block;}

.m0 {margin: 0}
.p0 {padding: 0}

/*Side by side, fill width */
.gks-flex-fill {
    display: flex;
    justify-content: center;
    > div { flex: 1 0 auto;}
}

/*?Bootstrap btn-toolbar*/
.gks-flex-buttons {
    padding: 2em 0 0;
    display: flex;
    flex-flow: row-reverse nowrap;
    justify-content: center;
    .btn {
    margin: 0 .5em;
    &:first-child {
        margin-right: 0;
    }
    }
}

.gks-flex-checkbox-list {
    display: flex;
    flex-flow: row wrap;
    align-items: baseline;
    >div {
    margin: .5em 2em;
    }
    input {
    position: relative;
    top: 1px;
    left:-5px;
    }
}

.gks-table-header, .gks-table-header:hover {
    text-decoration: none;
}

.gks-table-sort:before {
    font-size: 80%;
    padding-right: 0.3em;
    position: relative;
}

.gks-table-sort-asc:before {
    content: "▼";
    top: -0.1em;
}

.gks-table-sort-desc:before {
    content: "▲";
    top: -0.15em;
}

.gks-cell-sticky {
  position: sticky;
  width: 35px;
  min-width:35px;
  max-width:35px;
  overflow: hidden;
  text-overflow: ellipsis;
  background-color: white;
  z-index: 50;
}

tbody tr:nth-child(odd) .gks-cell-sticky
 {background-color: #f5f5f5}
